## dpkg 1.22.21ubuntu2

=== debian/changelog ===
dpkg (1.22.21ubuntu2) questing; urgency=medium

  * Introduce architecture variants (thanks to mwhudson for the rebase)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 11 Aug 2025 17:40:23 +0200
