=== debian/changelog ===
dpkg (1.22.21ubuntu3) questing; urgency=medium

  * scripts/dpkg-gencentrol.pl: fix operator precedence. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 25 Aug 2025 16:00:58 +1200
