=== scripts/t/mk/debian/changelog ===
source (1:2:3.4-5-6) suite; urgency=low

  * Initial release.

 -- Dpkg Developers <debian-dpkg@lists.debian.org>  Tue, 04 Aug 2015 16:13:50 +0200
