=== tests/t-buildinfo/pkg-source/debian/control ===
Source: test-source
Section: test
Priority: extra
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Build-Depends:
 pkg-depender:i386,
 pkg-virtual:i386,
Standards-Version: 3.9.8

Package: pkg-binary-a
Architecture: amd64
Multi-Arch: foreign
Description: test binary a
