=== debian/changelog ===
dpkg (1.22.21ubuntu3.1) questing; urgency=medium

  * Copy across the architecture variant (LP: #2128606)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 16 Oct 2025 18:46:02 +0200
