=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dpkg
 Section: admin
 Priority: required
-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>
 Homepage: https://wiki.debian.org/Teams/Dpkg
 Vcs-Browser: https://git.dpkg.org/cgit/dpkg/dpkg.git
@@ -127,14 +128,15 @@
  patch (>= 2.7),
  make,
  binutils,
+ lto-disabled-list,
 Recommends:
  build-essential,
  gcc | c-compiler,
  fakeroot,
 # OpenPGP implementations providing full support.
- sq | sqop | rsop | gosop | pgpainless-cli | gpg-sq | gnupg,
+ gnupg | sq | sqop | rsop | gosop | pgpainless-cli | gpg-sq,
 # OpenPGP implementations providing at least verification-only support.
- sqv | sqopv | rsopv | sopv | gosop | pgpainless-cli | gpgv-sq | gpgv,
+ gpgv | sqv | sqopv | rsopv | sopv | gosop | pgpainless-cli | gpgv-sq,
 # Used by dpkg-mergechangelogs.
  libalgorithm-merge-perl,
 Suggests:
