=== scripts/t/dpkg_buildtree/src-rrr-binary-targets/debian/control ===
Source: source-rrr-binary-targets
Rules-Requires-Root: binary-targets

Package: binary
Architecture: all
