=== scripts/t/dpkg_buildtree/src-rrr-dpkg-target-binary/debian/control ===
Source: source-rrr-dpkg-target-binary
Rules-Requires-Root: dpkg/target/binary

Package: binary
Architecture: all
