=== scripts/t/dpkg_buildtree/src-rrr-dpkg-unknown-keyword/debian/control ===
Source: source-rrr-dpkg-unknown-keyword
Rules-Requires-Root: dpkg/unknown-keyword

Package: binary
Architecture: all
