=== debian/rules ===
--- 
+++ 
@@ -86,3 +86,9 @@
 
 override_dh_compress:
 	dh_compress -Xspec/
+
+override_dh_builddeb:
+	# Make debootstrap life easier on non-Debian based systems by
+	# compressing dpkg.deb with xz instead of zstd.
+	dh_builddeb -pdpkg -- -Zxz
+	dh_builddeb -Ndpkg
